/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.telenor.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import rs.telenor.model.Company;
import rs.telenor.service.CompanyService;

/**
 *
 * @author Korisnik
 */
@RestController
@RequestMapping("company")
public class CompanyRestController {

    @Autowired
    private CompanyService companyService;

    @RequestMapping(value = "save", method = RequestMethod.POST, consumes = MediaType.APPLICATION_JSON_VALUE, produces = MediaType.APPLICATION_JSON_VALUE)
    public @ResponseBody
    Object save(@RequestBody Company company) {
        Company c = companyService.save(company);
        return ResponseEntity.ok(c);
    }
    
    @RequestMapping(value = "findall", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public @ResponseBody Object findAll() {
        return ResponseEntity.ok(companyService.findAll());
    }

}
